* {
	box-sizing: border-box;
}
body {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	font-family: 'Source Sans Pro', 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-weight: 400;
	overflow-x: hidden;
	overflow-y: auto;
}
html, body {
	min-height: 100%;
}
body {
	margin: 0;
}
body {
	font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
	font-size: 14px;
	line-height: 1.42857143;
	color: #333;
}
body {
	font-family: 'Roboto', sans-serif;
}
a {
	color: #337ab7;
	text-decoration: none;
}
a {
	background-color: transparent;
}


.glyphicon {
	position: relative;
	top: 1px;
	display: inline-block;
	font-family: 'Glyphicons Halflings';
	font-style: normal;
	font-weight: 400;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

b, strong {
	font-weight: 700;
}
.sublogo {
	display: block;
	font-size: 13px;
}
.text-red {
	color: #dd4b39 !important;
}
.login-box-msg, .register-box-msg {
	margin: 0;
	text-align: center;
	padding: 0 20px 20px 20px;
}
.form-group {
	margin-bottom: 10px;
}
button, input, select, textarea {
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
}
.form-control {
	display: block;
	width: 100%;
	height: 34px;
	padding: 6px 12px;
	font-size: 14px;
	line-height: 1.42857143;
	color: #555;
	background-color: #fff;
	background-image: none;
	border: 1px solid #d2d6de;
	transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.form-control:focus {
	outline: 0;
	border-color: #c72232;
}

.form-text {
	display: block;
	margin-top: .25rem;
}

.btn {
	display: inline-block;
	padding: 6px 12px;
	margin-bottom: 0;
	font-size: 14px;
	font-weight: 400;
	line-height: 1.42857143;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-ms-touch-action: manipulation;
	touch-action: manipulation;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	background-image: none;
	border: 1px solid transparent;
	border-radius: 4px;
}
.btn-block {
	display: block;
	width: 100%;
}
.btn.btn-flat {
	border-radius: 0;
	box-shadow: none;
	border-width: 1px;
}
.btn:active {
	box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
}

.btn.disabled, .btn[disabled], fieldset[disabled] .btn {
	cursor: not-allowed;
	filter: alpha(opacity=65);
	box-shadow: none;
	opacity: .65;
}

.has-feedback {
	position: relative;
}
.has-feedback .form-control {
	padding-right: 42.5px;
}
.form-control-feedback {
	position: absolute;
	top: 0;
	right: 0;
	z-index: 2;
	display: block;
	width: 34px;
	height: 34px;
	line-height: 34px;
	text-align: center;
	pointer-events: none;
}

.hidden {
	display: none !important;
}

/*
 * Page: Login & Register
 * ----------------------
 */
.login-logo, .register-logo {
  font-size: 35px;
  text-align: center;
  margin-bottom: 25px;
  font-weight: 300;
}
.login-logo a, .register-logo a {
  color: #444;
}
.login-page, .register-page {
  background: #d2d6de;
}
.login-box, .register-box {
  width: 360px;
  margin: 7% auto;
}
@media (max-width: 768px) {
  .login-box, .register-box {
    width: 90%;
    margin-top: 32px;
  }
}
.login-box-body, .register-box-body {
  background: #fff;
  padding: 20px;
  border-top: 0;
  color: #666;
}
.login-box-body .form-control-feedback, .register-box-body .form-control-feedback {
  color: #777;
}
.login-box-msg, .register-box-msg {
  margin: 0;
  text-align: center;
  padding: 0 20px 20px 20px;
}
.social-auth-links {
  margin: 10px 0;
}

/* cyrillic-ext */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-cyrillic-ext.woff2) format('woff2');
  unicode-range: U+0460-052F, U+20B4, U+2DE0-2DFF, U+A640-A69F;
}
/* cyrillic */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-cyrillic.woff2) format('woff2');
  unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* greek-ext */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-greek-ext.woff2) format('woff2');
  unicode-range: U+1F00-1FFF;
}
/* greek */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-greek.woff2) format('woff2');
  unicode-range: U+0370-03FF;
}
/* vietnamese */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-vietnamese.woff2) format('woff2');
  unicode-range: U+0102-0103, U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'), url(/fonts/roboto-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215, U+E0FF, U+EFFD, U+F000;
}


/* Custom CSS */

.login-logo2 {
  padding: 0 20px;
}

.login-box-body, #new-authentication {
  display: flex;
  flex-direction: column;
}

.login-links {
  margin-top: 8px;
  color: #6c6c6c;
}

.btn-primary {
	color: #fff;
	background-color: #c72232;
	border: 1px solid #c72232;
}
.btn-primary:hover {
	background-color: #000;
	border: 1px solid #000;
}
.btn-primary:active {
    background-color: #c72232;
}


.btn-default {
	background-color: rgb(244, 244, 244);
	border-color: rgb(221, 221, 221);
	color: #444444;
}
.btn-default:hover {
	color: #000333;
	background-color: rgb(231, 231, 231);
	border-color: rgb(173, 173, 173);
}

.overflow-hidden {
	overflow: hidden;
}

/* Login button page*/

.login-container {
	display: flex;
	flex-flow: column;
}

.red-link {
    background-color: #c72232;
}

.input-group {
	position: relative;
	display: table;
	border-collapse: separate;
}